# $Revision: 1.56 $, $Date: 2008/12/14 12:06:15 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	CBC
Summary:	Crypt::CBC - encrypt data with Cipher Block Chaining mode
Summary(pl.UTF-8):	Crypt::CBC - szyfrowanie danych w trybie Cipher Block Chaining
Name:		perl-Crypt-CBC
Version:	2.30
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c71ab992f3da65deb1a141bef79a4bff
Patch0:		%{name}-paths.patch
URL:		http://search.cpan.org/dist/Crypt-CBC/
BuildRequires:	perl-Digest-MD5 >= 2.00
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Crypt-Blowfish
BuildRequires:	perl-Crypt-Blowfish_PP
BuildRequires:	perl-Crypt-CAST5
BuildRequires:	perl-Crypt-IDEA
BuildRequires:	perl-Crypt-Rijndael
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a Perl-only implementation of the cryptographic cipher
block chaining mode (CBC). In combination with a block cipher such as
DES or IDEA, you can encrypt and decrypt messages of arbitrarily long
length. The encrypted messages are compatible with the encryption
format used by SSLeay.

%description -l pl.UTF-8
Ten moduł jest czysto perlową implementacją szyfrowania w trybie CBC
(Cipher Block Chaining). W połączeniu z szyfrem blokowym, takim jak
DES lub IDEA, pozwala szyfrować i deszyfrować wiadomości o dowolnej
długości. Zaszyfrowane wiadomości są kompatybilne z formatem używanym
przez SSLeay.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/CBC.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-CBC.spec,v $
Revision 1.56  2008/12/14 12:06:15  agaran
- up to 2.30

Revision 1.55  2007/12/26 22:07:46  zbyniu
- up to 2.24

Revision 1.54  2007-05-27 12:59:59  agaran
- up to 2.22, rel 1, builds here

Revision 1.53  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.52  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.51  2006/08/19 23:03:57  qboosh
- updated to 2.19

Revision 1.50  2006/07/26 21:18:21  glen
- 2.18, generic URL

Revision 1.49  2006/03/17 19:30:06  glen
- up to 2.17, fixes CVE-2006-0898

Revision 1.48  2005/06/01 18:58:32  qboosh
- updated paths patch

Revision 1.47  2005/05/29 13:28:29  petec
- up to 2.14
- paths patch unneeded

Revision 1.46  2004/11/03 22:30:12  paladine
- formatting

Revision 1.45  2004/08/08 17:42:24  adamg
- updated to 2.12

Revision 1.44  2004/06/05 18:10:34  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.43  2004/06/04 22:14:01  adamg
- updated to 2.11

Revision 1.42  2004/05/30 08:45:45  adamg
- updated to 2.10

Revision 1.41  2004/05/27 22:20:19  adamg
- updated to 2.09

Revision 1.40  2004/05/07 00:38:53  ankry
- rel. 5

Revision 1.39  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.38  2004/04/25 15:21:12  ankry
- tests added

Revision 1.37  2004/04/22 19:16:00  ankry
- rel. 4 for Ac

Revision 1.36  2004/04/14 11:42:38  ankry
- caps and other cosmetics

Revision 1.35  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.34  2003/08/18 08:08:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.33  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.30  2003/03/01 18:46:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.29  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.28  2003/02/18 15:28:41  ankry
- massive attack: change CPAN URLs

Revision 1.27  2002/09/14 12:51:56  qboosh
- added pl description, release 2

Revision 1.26  2002/09/12 22:24:48  radek
- version 2.08
- provided informative summary/description, fixed License field
  STBR

Revision 1.25  2002/07/22 21:33:08  ankry
- translations, cleaning
- fixed permissions
- release 2

Revision 1.24  2002/07/20 23:08:52  qboosh
- updated to 2.05, moved examples to examplesdir

Revision 1.23  2002/07/11 10:51:19  qboosh
- new %doc and cosmetics

Revision 1.22  2002/07/11 07:58:08  depesz
- new version; should work; STBR

Revision 1.21  2002/07/10 08:46:45  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:30:24  depesz
- cleanup; revision++

Revision 1.18  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:10:46  depesz
- automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:25:06  depesz
- adapterized

Revision 1.15  2002/01/18 02:14:13  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:15  mis
- buildarch noarch; release++

Revision 1.13  2001/11/27 23:30:30  filon
- fixed typo in docs
- relase 4

Revision 1.12  2001/04/30 22:49:45  baggins
- added Digest-Md5 patch

Revision 1.11  2001/04/17 12:06:56  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2000/12/30 04:42:06  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.8  2000/08/23 09:16:14  kloczek
- updated to 1.25.

Revision 1.7  2000/06/09 07:54:45  kloczek
- more %{__make} macros.

Revision 1.6  2000/06/09 07:23:28  kloczek
- added using %{__make} macro.

Revision 1.5  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.2  2000/02/17 20:37:03  pius
- updated to 1.22

Revision 1.1  1999/11/10 18:25:27  pius
- initial release
